Get deepfake results
curl --request GET \
--url https://api.truthlocks.com/v1/risk/deepfake/results/{subject_ref} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/risk/deepfake/results/{subject_ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/risk/deepfake/results/{subject_ref}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/risk/deepfake/results/{subject_ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"subject_ref": "<string>",
"verdict": "authentic",
"confidence": 123,
"scans": [
{}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Risk Signals
Get deepfake scan results
Retrieve the most recent deepfake and impersonation scan result for a given subject reference.
GET
/
v1
/
risk
/
deepfake
/
results
/
{subject_ref}
Get deepfake results
curl --request GET \
--url https://api.truthlocks.com/v1/risk/deepfake/results/{subject_ref} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/risk/deepfake/results/{subject_ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/risk/deepfake/results/{subject_ref}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/risk/deepfake/results/{subject_ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"subject_ref": "<string>",
"verdict": "authentic",
"confidence": 123,
"scans": [
{}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Returns the latest scan result for the specified
subject_ref. Use this to check the current deepfake and impersonation status of a previously scanned subject without re-running the scan.
Response
string
UUID of the scan result.
string
The subject reference that was scanned.
string
Type of subject:
image, video, document, attestation, identityinteger
Deepfake probability score (0–100).
integer
Impersonation probability score (0–100).
string
authentic | suspect | deepfake | impersonationarray
List of triggered indicators from the scan.
string
Detection model used (e.g.
heuristic_v1).string
UUID of the auto-ingested risk signal, if the score met the threshold (≥ 60).
string
UUID of the linked attestation, if one was provided during the scan.
string
ISO 8601 timestamp of when the scan was performed.
Authorizations
API key for machine-to-machine authentication
Path Parameters
Subject reference from the scan request

